@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
:root {
    --primary-color: #2563eb;
    --secondary-color: #1e40af;
    --text-color: #1f2937;
    --light-bg: #f3f4f6;
    --white: #ffffff;
}
body{
    background: linear-gradient(45deg, var(--primary-color), var(--secondary-color));
    font-family: 'poppins',sans-serif;
    margin: 0;
    padding: 0;
  
}
::-webkit-scrollbar{
    width: 8px;
}

::-webkit-scrollbar-thumb{
    background: rgba(87, 93, 100, 0.616);
    border-radius: 10px;
   
}
.main-cont{
  min-height: 100vh;
  display: flex;
  justify-content: center;
  margin: auto;
}
.container{
    margin: auto;
    max-width: 700px;
    display: flex;
    gap: 0px;
    background: #fff;
    padding: 0 0;
  border-radius: 10px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2), 0 1px 3px rgba(0, 0, 0, 0.1);

}
.container .left, .container .right{
    padding: 20px 10px;
    width: 50%;
}
.container .left{
   margin:auto 0;
    background:#fff;
    border-top-left-radius: 6px;
border-bottom-left-radius: 6px;
}

.container .left form{
   padding: 10px;
}
.container .left form .title{
    display: flex;
    align-items: center;
    justify-content: center;
}
.container .left form .title h2{
    margin: 0;
    color: darkblue;
    font-size: 25px;
    font-weight: 700;
}
.container .left form .input-control{
    display: flex;
    flex-direction: column;
    gap: 3px;
    padding: 5px 0;
}
.input-control label{
    font-size: 12px;
    font-weight: 600;
}
.input-control input, .input-control select{
    appearance: none;
    padding: 8px;
    border: 1px #ccc solid;
    background: #fff;
    font-size: 12px;
    outline: none;
    border-radius: 4px;
    text-indent: 10px;
    transition: border-color 0.6s ease;
    font-family: 'poppins',sans-serif;
}
.input-control select option{
    font-family: 'poppins',sans-serif;
}
.input-control span{
    color: orangered;
    font-size: 11px;
}
.input-control input:focus{
    border-color: rgb(132, 52, 236);
}
.show-hide{
    display: flex;
    align-items: center;
    border-radius: 4px;
    border: 1px #ccc solid;
    right: 0;
    transition: border-color 0.6s ease;
}
.show-hide .icons{
   margin: auto;
   margin-right: 5px;
   color: rgb(132, 52, 236);

}
.show-hide input{
    width: 100%;
    border: none;
}
.show-hide:hover{
    border-color: rgb(132, 52, 236);
}
.left form .remember{
    display: flex;
    font-size: 13px;
    justify-content: space-between;
    padding: 8px 0;
}
.left form .remember a{
    text-decoration: none;
}

.button{
    display: flex;
    align-items: center;
    margin-top:10px;
    justify-content: center;

}
.button button{
    width: 100%;
    border: none;
    background: var(--primary-color);
    color: #fff;
    padding: 10px;
    border-radius: 6px;
    font-family: 'poppins',sans-serif;
    font-size: 14px;
    transition: background 0.7s ease;
}
.button button:hover{
    background: darkslateblue;
}
.signup-signin{
    font-size: 13px;
    text-align: center;
}
.signup-signin a{
    margin-left: 4px;
    text-decoration: none;
}

.container .right{
  background: linear-gradient(45deg, var(--primary-color), var(--secondary-color));
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
color: #fff;
border-top-right-radius: 6px;
border-bottom-right-radius: 6px;

}
.container .right .title h2{
    margin: 0;
}
.container .right .logo{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 0;
}
.container .right .logo img{
    width: 60%;
}
.container .right .info p{
    margin: 0;
    font-size: 14px;
}
.popup {
    position: fixed;
    top: 25px;
    right: 20px; 
    transform: translateX(100%);
    width: 85%;
    max-width: 400px;
    padding: 15px;
    font-size: 16px;
    text-align: left;
    border-radius: 3px;
    color: #fff;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease, visibility 0.4s ease, transform 0.4s ease;
    z-index: 1000000;
}

.popup.success {
    background:forestgreen;
    color: #fff; 
    font-weight: 500; 
    font-size: 16px; 
    padding: 15px; 
    border-radius: 3px; 
    box-shadow: 0px 4px 12px rgba(23, 162, 184, 0.2); 
}

.popup.error {
    background-color: #f44336; 
    box-shadow: 0px 4px 12px rgba(255, 0, 0, 0.2);
}

.popup.show {
    opacity: 1;
    visibility: visible;
    transform: translateX(0); 
}
#sponsor{
    background: #5b5df0ef;
}

@media(max-width:715px)
{
   
    .container{
        background:#fff;
       flex-direction: column;
       width: 70%;
       padding: 10px;
    }
    .container .left{
      padding: 0 0;
        gap: 0px;
       width: 100%;
    }
    .container .right
{
    display: none;
}
}

@media(max-width:600px)
{
   
    .container{
       flex-direction: column;
       width: 86%;
       padding: 10px;
    }
}